# Uses of Interface
org.jmol.api.GenericMenuInterface

Packages that use GenericMenuInterface
Package
Description
jspecview.java
jspecview.js2d
jspecview.popup
org.jmol.api
org.jmol.awt
org.jmol.awtjs2d
org.jmol.modelkit
org.jmol.popup

## Uses of GenericMenuInterface in jspecview.java

Classes in jspecview.java that implement GenericMenuInterface
Modifier and Type
Class
Description
`class`
`AwtPopup`
Methods in jspecview.java that return GenericMenuInterface
Modifier and Type
Method
Description
`GenericMenuInterface`
AwtPlatform.`getMenuPopup(String menuStructure, char type)`

## Uses of GenericMenuInterface in jspecview.js2d

Classes in jspecview.js2d that implement GenericMenuInterface
Modifier and Type
Class
Description
`class`
`JsPopup`
Methods in jspecview.js2d that return GenericMenuInterface
Modifier and Type
Method
Description
`GenericMenuInterface`
JsPlatform.`getMenuPopup(String menuStructure, char type)`

## Uses of GenericMenuInterface in jspecview.popup

Classes in jspecview.popup that implement GenericMenuInterface
Modifier and Type
Class
Description
`class`
`JSVGenericPopup`

## Uses of GenericMenuInterface in org.jmol.api

Methods in org.jmol.api that return GenericMenuInterface
Modifier and Type
Method
Description
`GenericMenuInterface`
GenericPlatform.`getMenuPopup(String menuStructure, char type)`

## Uses of GenericMenuInterface in org.jmol.awt

Classes in org.jmol.awt that implement GenericMenuInterface
Modifier and Type
Class
Description
`class`
`AwtJmolPopup`
`class`
`AwtModelKitPopup`
Methods in org.jmol.awt that return GenericMenuInterface
Modifier and Type
Method
Description
`GenericMenuInterface`
Platform.`getMenuPopup(String menuStructure, char type)`

## Uses of GenericMenuInterface in org.jmol.awtjs2d

Classes in org.jmol.awtjs2d that implement GenericMenuInterface
Modifier and Type
Class
Description
`class`
`JSJmolPopup`
`class`
`JSModelKitPopup`
Methods in org.jmol.awtjs2d that return GenericMenuInterface
Modifier and Type
Method
Description
`GenericMenuInterface`
Platform.`getMenuPopup(String menuStructure, char type)`

## Uses of GenericMenuInterface in org.jmol.modelkit

Classes in org.jmol.modelkit that implement GenericMenuInterface
Modifier and Type
Class
Description
`class`
`ModelKitPopup`
An abstract popup class that is instantiated for a given platform and context as one of:

## Uses of GenericMenuInterface in org.jmol.popup

Classes in org.jmol.popup that implement GenericMenuInterface
Modifier and Type
Class
Description
`class`
`GenericPopup`
The overall parent of all popup classes in Jmol and JSmol.
`class`
`JmolGenericPopup`
An abstract popup class that is instantiated for a given platform and context as one of:
`class`
`JmolPopup`
An abstract popup class that is instantiated for a given platform and context as one of: